import { ACTION_TYPES } from "./JobData";

export const isBatchJob = (type) =>
  type === ACTION_TYPES.BATCH_DEPLOY || type === ACTION_TYPES.BATCH_UNDEPLOY;

export const getNoOfIOCs = (jobs) =>
  [...new Set(jobs.map((job) => job.iocId))].length;

export const getNoOfHosts = (jobs) =>
  [...new Set(jobs.map((job) => job.host.hostId))].length;
